=== debian/changelog ===
liblinear (2.43+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - This release bumps the SONAME.
    - The Python modules liblinear, liblinearutil have been moved into a
      package liblinear.
  * Drop patches included upstream, refresh other patches
  * Drop Merge-commonutil.py-into-liblinearutil.py.patch (commonutil is no
    longer in the global namespace)
  * Add patch Bump-SHVER-to-5.patch
  * Update symbols file
  * Rename liblinear4 -> liblinear5
  * Update liblinear-train.1
  * Update d/watch
  * Update autopkgtest for new Python package
  * Fix version parsing in d/rules (after d/watch update)
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility to 13
  * Drop lintian-overrides for obsolete tag

 -- Christian Kastner <ckk@debian.org>  Mon, 07 Mar 2022 18:13:44 +0100
