=== debian/watch ===
version=4

# ckk 2022-03-05: deactivate this, it hasn't been relevant for a long time
# Upstream's versioning scheme is 1.0, 1.01, 1.1, 1.11, 1.12, etc., so we
# mangle it by converting it to x.y.z pattern:
#  1.0   -> 1.0.0
#  1.01  -> 1.0.1
#  1.1   -> 1.1.0
#  1.11  -> 1.1.1
#  1.12  -> 1.1.2
#  etc
#uversionmangle=s/(\d\.\d)$/${1}0/;s/(\d)\.(\d)(\d)/${1}\.${2}\.${3}/,\

opts=\
dversionmangle=s/\+dfsg//,\
repacksuffix=+dfsg \
https://www.csie.ntu.edu.tw/~cjlin/liblinear/oldfiles/liblinear-(.*)\.tar\.gz
